.card__wrap .main .card__img {
  width: 79vw;
  height: 79vw;
  margin-bottom: 14px;
}
@media screen and (min-width: 436px) {
  .card__wrap .main .card__img {
    width: 290px;
    height: 290px;
  }
}
.card__wrap-blocked .main .card__img {
  width: 70vw;
  height: 70vw;
  margin-bottom: 14px;
}
@media screen and (min-width: 436px) {
  .card__wrap-blocked .main .card__img {
    width: 260px;
    height: 260px;
  }
}

.result-block {
  color: #6c6f9c;
  font-size: 30px;
  font-weight: 600;
  width: max-content;
  display: flex;
  text-align: center;
  flex-wrap: wrap;
  position: absolute;
  top: 50%;
  left: 89%;
  transform: translate(-50%, -50%);
  opacity: 1;
  transition: all 250ms;
}
.result-big-circle {
  width: 51px;
  text-align: left;
}
.delimiter {
  margin: 0 5px;
}
.result-block.transparent {
  opacity: 0;
}

.coin-img {
  width: 15%;
  /* margin-left: 12%; */
}

.coin-img.show img {
  display: block;
}

.interactive {
  position: relative;
}

.text-confirm-answer {
  font-size: 17px;
  text-align: center;
  /* font-weight: 600; */
  color: #f2f2f2;
  position: absolute;
  top: 66%;
  left: 50%;
  width: max-content;
  transform: translate(-50%, -50%);
  opacity: 1;
  transition: all 250ms;
  pointer-events: none;
  user-select: none;
}

.text-confirm-answer.transparent {
  opacity: 0;
  transition: all 250ms;
}
.for-float-wrapper .card__text {
  text-align: start;
  margin-top: 0;
  margin-bottom: 30px;
  font-size: 18px;
}

.container {
  width: 100%;
  height: 100px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
.zones-wrapper {
  display: flex;
  align-items: flex-end;
  justify-content: center;
  margin: 5px 0;
  position: relative;
}
.symbol {
  font-size: 30px;
}
.symbol.symbol-x {
  font-size: 20px;
  margin: 3px 0;
}
.symbol.symbol-pi {
  margin-right: 2vw;
}
.symbol.indent {
  margin-right: 2vw;
}
.symbol.symbol-sqrt {
  margin-left: 2vw;
}
@media screen and (min-width: 436px) {
  .symbol.symbol-x {
    font-size: 20px;
    margin: 4px 0;
  }
  .symbol.symbol-pi {
    margin-right: 6px;
  }
  .symbol.indent {
    margin-right: 6px;
  }
  .symbol.symbol-sqrt {
    margin-left: 6px;
  }
}
.drop-zone-text {
  position: absolute;
  color: gray;
  font-size: 17px;
  top: -11%;
  width: max-content;
  left: 50%;
  transform: translate(-50%, -50%);
}
.drop-zone-text.bottom {
  top: 102%;
  transform: translate(-50%, 0%);
}

.drop-zone {
  font-size: 30px;
  width: 6vw;
  height: 9vw;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  background-color: transparent;
  position: relative;
  cursor: pointer;
}
@media screen and (min-width: 436px) {
  .drop-zone {
    width: 23px;
    height: 35px;
  }
}
.for-circle-relationship {
  width: 100%;
  margin: 22px auto 7px auto;
  z-index: 5;
}
@media screen and (min-width: 436px) {
  .for-circle-relationship {
    margin: 25px auto 6px auto;
  }
}
.tiles {
  width: 80%;
  max-width: 100%;
  height: 12vw;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  position: relative;
  margin: auto;
}
@media screen and (min-width: 436px) {
  .tiles {
    height: 42px;
  }
}

.tile {
  width: 12vw;
  height: 12vw;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 9vw;
  font-weight: bold;
  color: #ffffff;
  background-color: #648dd4;
  border-radius: 10px;
  margin: 0;
  cursor: pointer;
  position: absolute;
  top: 0;
  transform-origin: center;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  z-index: 2;
}
@media screen and (min-width: 436px) {
  .tile {
    width: 42px;
    height: 42px;
    font-size: 30px;
  }
}
.tile-1 {
  left: 32%;
}
.tile-2 {
  left: 52%;
}

.tile.plug {
  pointer-events: none;
  color: #ccc;
  border: 1px solid #ccc;
  background-color: white;
  z-index: 1;
}
.tile.active {
  color: #ffffff;
  background-color: #648dd4;
  z-index: 100;
}
.tile.active.in-drop-zone {
  color: #ffffff;
  background-color: #648dd4;
  border: none;
}
.tile.in-drop-zone {
  background-color: transparent;
  border: none;
  /* transform: scale(1.3); */
  color: var(--main-text-color);
  color: transparent;
}
@media screen and (min-width: 436px) {
  .tile.in-drop-zone {
    transform: scale(1.2);
    font-size: 34px;
  }
}

.main .card__img svg {
  top: 0;
}

.spot {
  width: 4vw;
  height: 4vw;
  border: 1px solid silver;
  border-radius: 50%;
  box-shadow: 1px 1px var(--main-text-color);
  position: absolute;
  top: 60%;
  left: 50%;
  transform: translate(-50%, -50%);
  pointer-events: none;
  background-color: #ffffffbf;
  opacity: 0;
  transition: all 200ms;
}

@media screen and (min-width: 436px) {
  .spot {
    width: 15px;
    height: 15px;
  }
}
.spot-1 {
  left: 52%;
}
.spot-2 {
  left: 88%;
}
.spot-3 {
  left: 25%;
}
.spot-4 {
  left: 36%;
}
.spot-5 {
  left: 47%;
}
.spot-6 {
  left: 72%;
}
.spot-7 {
  left: 83%;
}
.spot-8 {
  left: 94%;
}

.spot-1.show {
  animation: fade-in-out-1 600ms ease-in-out 1;
}

.spot-2.show {
  animation: fade-in-out-2 600ms ease-in-out 1;
}

.spot-3.show {
  animation: fade-in-out-3 600ms ease-in-out 1;
}

.spot-4.show {
  animation: fade-in-out-4 600ms ease-in-out 1;
}
.spot-5.show {
  animation: fade-in-out-1 600ms ease-in-out 1;
}

.spot-6.show {
  animation: fade-in-out-2 600ms ease-in-out 1;
}

.spot-7.show {
  animation: fade-in-out-3 600ms ease-in-out 1;
}

.spot-8.show {
  animation: fade-in-out-4 600ms ease-in-out 1;
}

@keyframes fade-in-out-1 {
  0% {
    opacity: 1;
  }
  25% {
    opacity: 0;
  }
  100% {
    opacity: 0;
  }
}
@keyframes fade-in-out-2 {
  0% {
    opacity: 0;
  }
  25% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 0;
  }
}
@keyframes fade-in-out-3 {
  0% {
    opacity: 0;
  }
  25% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  75% {
    opacity: 0;
  }
  100% {
    opacity: 0;
  }
}
@keyframes fade-in-out-4 {
  0% {
    opacity: 0;
  }
  25% {
    opacity: 0;
  }
  50% {
    opacity: 0;
  }
  75% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
.click-path {
  cursor: pointer;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 50%;
}
.card__wrap .restart {
  display: flex;
  width: 33px;
  position: absolute;
  top: 58px;
  left: 85%;
  cursor: pointer;
  z-index: 34;
}

.card__wrap-blocked .restart,
.card__wrap-blocked .plug,
.card__wrap-blocked .tiles {
  display: none;
}

/* .card__wrap-blocked .main {
  min-height: 341px;
}
@media screen and (min-width: 436px) {
  .card__wrap-blocked .main {
    min-height: 353px;
  }
} */
